Bug 1680053 - [RFE] Show gateway address with 'hammer subnet list', either by default or as option
Summary: [RFE] Show gateway address with 'hammer subnet list', either by default or as...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-22 15:58 UTC by Rainer Beyel
Modified: 2020-04-14 15:54 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 15:54:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27596 0 Normal Closed Show gateway address with 'hammer subnet list', either by default or as option 2020-10-19 13:17:00 UTC
Red Hat Product Errata RHBA-2020:1455 0 None None None 2020-04-14 15:54:23 UTC

Description Rainer Beyel 2019-02-22 15:58:56 UTC
Description of problem:
  Currently it's not possible to also show the gateway address with 'hammer subnet list' - example output:
    # hammer subnet list
    ---|----------|--------------|---------------|--------
    ID | NAME     | NETWORK      | MASK          | VLAN ID
    ---|----------|--------------|---------------|--------
    1  | net-int1 | 192.168.40.0 | 255.255.255.0 |        
    4  | net-dmz2 | 192.168.51.0 | 255.255.255.0 |        
    2  | net-int2 | 192.168.41.0 | 255.255.255.0 |        
    ---|----------|--------------|---------------|--------

  As reference, the gateway address is available with 'hammer subnet info':
    # hammer subnet info --id 1 | grep Gateway
    Gateway:       192.168.40.1

Version-Release number of selected component (if applicable):
  Satellite 6

Actual results:
  It's not possible to show the gateway address with 'hammer subnet list'.

Expected results:
  Also show the gateway address with 'hammer subnet list' by default, or as an option.

Additional info:
  The following upstream RFE might be relevant:
  
  Possibility to limit or add fields that are displayed
  https://projects.theforeman.org/issues/19135

Comment 3 Oleh Fedorenko 2019-08-12 17:49:44 UTC
Created redmine issue https://projects.theforeman.org/issues/27596 from this bug

Comment 4 Bryan Kearney 2019-09-09 14:05:18 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27596 has been resolved.

Comment 5 vijsingh 2019-11-16 12:03:01 UTC
ON_QA Verified

@Satellite 6.7.0 snap 1.0

Steps/Observation:
____________________________________________
[root@qe-sat6-bm1 ~]# hammer subnet list
---|----------------|---------------|----------------|---------------|---------|-----------|----------------
ID | NAME           | NETWORK ADDR  | NETWORK PREFIX | NETWORK MASK  | VLAN ID | BOOT MODE | GATEWAY ADDRESS
---|----------------|---------------|----------------|---------------|---------|-----------|----------------
1  | Default Subnet | 192.168.100.0 | 24             | 255.255.255.0 |         | DHCP      | 192.168.100.1  
---|----------------|---------------|----------------|---------------|---------|-----------|----------------

[root@qe-sat6-bm1 ~]# hammer subnet info --id 1|grep -i Gateway
Gateway Addr:      192.168.100.1
[root@qe-sat6-bm1 ~]# 
____________________________________________

Comment 8 errata-xmlrpc 2020-04-14 15:54:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1455


Note You need to log in before you can comment on or make changes to this bug.